# RakNet::LobbyServer Class Reference

`#include <LobbyServer.h>`

Inheritance diagram for RakNet::LobbyServer:

List of all members.

## Public Member Functions
void | SetOrderingChannel (char oc)
| Ordering channel to use with RakPeer::Send().
## Protected Member Functions
void | DownloadClans_NetMsg (Packet *packet)
virtual void | UpdateClanMember_DBResult (bool dbSuccess, const char *queryErrorMessage, LobbyDBSpec::UpdateClanMember_Data *res, unsigned int lobbyMsgId, SystemAddress systemAddress, LobbyDBSpec::DatabaseKey clanSourceMemberId, RakNet::RakString clanSourceMemberHandle)
virtual void | ValidateUserKey_DBResult (bool dbSuccess, const char *queryErrorMessage, TitleValidationDBSpec::ValidateUserKey_Data *res, SystemAddress systemAddress)

## Detailed Description

Implements the basis for the lobby server for RakNet, independent of any kind of database. Features include user to user interaction, chatting, rooms, and quick match. Just attach as a plugin and go. If you want to interact with the implemented PostgreSQL database, such as adding users or titles, see LobbyServerPostgreSQL

## Member Function Documentation

void LobbyServer::DownloadClans_NetMsg | ( | Packet * | packet | ) | `[protected]`

Do DB query. Don't just use memory in case it changed from an external source.

void LobbyServer::UpdateClanMember_DBResult | ( | bool | dbSuccess,
|  | const char * | queryErrorMessage,
|  | LobbyDBSpec::UpdateClanMember_Data * | res,
|  | unsigned int | lobbyMsgId,
|  | SystemAddress | systemAddress,
|  | LobbyDBSpec::DatabaseKey | clanSourceMemberId,
|  | RakNet::RakString | clanSourceMemberHandle |
| ) |  |  | `[protected, virtual]`

This is sent to the new member, and also to all online members of the clan

This is sent to the new member, and also to all online members of the clan

void LobbyServer::ValidateUserKey_DBResult | ( | bool | dbSuccess,
|  | const char * | queryErrorMessage,
|  | TitleValidationDBSpec::ValidateUserKey_Data * | res,
|  | SystemAddress | systemAddress |
| ) |  |  | `[protected, virtual]`

[out] Validation result. 1 = success. -1 = no keys matched. -2 = key marked as invalid (invalidKeyReason will be filled in), -3 = undefined

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/LobbyServer.h
- C:/RakNet/DependentExtensions/Lobby/LobbyServer.cpp